<?php
if (!$procorph) {
  return;
}
$controller = $procorph->entry;
$builder = $procorph->formBuilder;
$builder->setTable("entries");
$builder->setRecord($entry);
?>

<?php $builder->buildTableHidden(); ?>
<?php $builder->buildHidden("id"); ?>
<?php $builder->buildHidden("parent") ?>
<table>
<tr>
<td><?php $builder->buildLabel("name"); ?></td>
<td><?php $builder->setSize(20); $builder->buildInput("name"); ?></td>
</tr>
<tr>
<td><?php $builder->buildLabel("class_id"); ?></td>
<td><?php $builder->buildSelect("class_id", $controller->getClasses()); ?></td>
</tr>
<tr>
<td><?php $builder->buildLabel("status_id"); ?></td>
<td><?php $builder->buildSelect("status_id", $controller->getStatus()); ?></td>
</tr>
<? if ($procorph->userLevel < 3) { ?>
<tr>
<td><?php $builder->showHumanName("user_id"); ?>:</td>
<td><?php echo $procorph->user["name"]; ?></td>
</tr>
<? } else { ?>
<tr>
<td><?php $builder->buildLabel("user_id"); ?></td>
<td><?php $builder->setDefault($procorph->user["id"]); $builder->buildSelect("user_id", $controller->getUsers()); ?></td>
</tr>
<? } ?>
<tr>
<td><?php $builder->showHumanName("creation_date"); ?>:</td>
<td><?php $builder->showValue("creation_date"); ?></td>
</tr>
</table>
