<?php
require_once(dirname(__FILE__) . "/control/procorph.php");
$procorph = Procorph::getSingleton();
$root = $procorph->urlRoot ? $procorph->urlRoot : 
  $procorph->getUrlRoot(__FILE__);
if (! $procorph->user) {
  header("location: $root/login.php");
}
print("<? xml version=\"1.0\" encoding=\"UTF-8\" ?>\n");
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title> Procorph </title>
<link href="<?=$root?>/stylesheets/procorph.css" rel="stylesheet" type="text/css" />
<link href="<?=$root?>/stylesheets/entry.css" rel="stylesheet" type="text/css" />
<script type="text/javascript" src="<?=$root?>/javascripts/mootools.js" charset="UTF-8"></script>
<script type="text/javascript" src="<?=$root?>/javascripts/user.js" charset="UTF-8"></script>
<script type="text/javascript" src="<?=$root?>/javascripts/procorph.js" charset="UTF-8"></script>
</head>

<body>

<div id="header">
<h1 id="title"> ProCorPH </h1>
<h2 id="subtitle"> PROcessador de CÓRpus do Português Histórico </h2>
<div id="toolbar">
<ul>
<li><a href="<?=$root?>/doc/index.php">Ajuda</a></li>
<li><a href="<?=$root?>/contact.php">Contato</a></li>
<li><a href="<?=$root?>/logout.php">Sair</a></li>
</ul>
</div>
</div>

<div id="menu">
<ul>
<li><h2>Dicionário</h2></li>
<li><a href="<?=$root?>">Início</a></li>
<li><a href="<?=$root?>/entry/list.php">Verbetes</a></li>
<li><a href="<?=$root?>/concordances.php">Concordâncias</a></li>
<li><a href="<?=$root?>/glossary.php">Glossarios</a></li>
<li><a href="<?=$root?>/text/list.php">Textos</a></li>
</ul>
<ul>
<li><h2>Procorph</h2></li>
<li><a href="<?=$root?>/preferences.php">Preferências</a></li>
<li><a href="<?=$root?>/specials.php">Símbolos especiais</a></li>
<?php if ($procorph->userLevel >= 4) { ?>
  <li><a href="<?=$root?>/user/list.php">Usuários</a></li>
<? } ?>
</ul>
</div>

<div id="content">

