<?php 
include("head.php");
$status = "";
if ($_POST["dataSent"]) {
  if ($procorph->changePassword($_POST["oldPassword"], 
      $_POST["newPassword"], $status)) {
    $status = "<p class=\"status\">$status</p>";
  } else {
    $status = "<p class=\"error\">$status</p>";
  }
}
?>

<script type="text/javascript">

function changePassword(evt) {
  //
  // test if the password is secure and change it
  //
  var newp = $("newPassword").value;
  var oldp = $("oldPassword").value;
  var confirmp =  $("confirmPassword").value;
  cancelEvent(evt);
  if (newp.length < 8) {
    alert("Sua nova senha deve possuir no mínimo 8 caracteres!");
    return false;
  }
  if (newp != confirmp) {
    alert("Confirmação incorreta, é necessário digitar a senha novamente!");
    return false;
  }
  $("formPassword").submit();
  return true;
}

</script>

<h1>Recomendações sobre a senha</h1>

<p>O uso de senhas fortes é importante para preservar a segurança do usuário
e do sistema como um todo. Sugestões para criar uma <strong>boa senha
</strong>:</p>

<ul>
<li>A senha deve possuir no mínimo 8 caracteres.</li>
<li>Combinações de maiúsculas, minúsculas, dígitos e símbolos especiais 
são recomendadas. Algumas letras podem ser substutídas por símbolos 
semelhantes, facilitando o processo de memorização. "A" pode ser trocado 
por "@", "s" por "$", e assim por diante. Exemplo: "s3nh@".</li>
<li>Frases fáceis de memorizar podem ser utilizadas para formar senhas com 
o uso da primeira, segunda ou terceira letra de cada palavra. Por exemplo, 
"batatinha quando nasce se esparrama pelo chão" pode gerar a senha 
"bqnsepc", que, por sua vez, pode ser melhorada para algo como "bQn$3pc".</li>
</ul>

<p>Alguma práticas devem ser evitadas, pois geram 
<strong>senhas ruins</strong>:</p>

<ul>
<li>Seqüências óbvias como "123456" ou "abcde".</li>
<li>Dados pessoais como nome, sobrenome, placa do carro, documento de 
identidade, aniversário, time de futebol preferido, grupo musical preferido,
etc.</li>
<li>Dados pessoais de conhecidos (pais, irmãos, filhos, amigos, etc).</li>
<li>Palavras pertencentes a dicionários (em Português ou não). Por exemplo,
"chapéu", "canguru", "book", etc.</li>
</ul>

<h1>Trocar senha</h1>
<form id="formPassword" name="formPassword" method="post">
<table>
<tr>
<td><label for="oldPassword">Senha atual:</label></td>
<td><input type="password" id="oldPassword" name="oldPassword" size="30" /></td>
</tr>
<tr>
<td><label for="newPassword">Nova senha:</label></td>
<td><input type="password" id="newPassword" name="newPassword" size="30" /> </td>
</tr>
<tr>
<td><label for="confirmPassword">Confirmar nova senha:</label></td>
<td><input type="password" id="confirmPassword" name="confirmPassword" size="30" /> </td>
</tr>
</table>
<input type="hidden" id="dataSent" name="dataSent" value="1" />
</form>
<?=$status?>

<p>
<a href="password.php" onclick="changePassword(event);">Alterar</a> |
<a href="preferences.php">Voltar</a>
</p>

<?php include("foot.php"); ?>
