<?php include("head.php"); ?>

<script type="text/javascript">

function insertSpecial(evt, character) {
  //
  // inser a special character in the input text
  //
  if (character == null) {
    link = getCaller(evt);
    character = link.innerHTML;
  } else {
    character = String.fromCharCode(character);
  }
  $("text").value += character;
  cancelEvent(evt);
}

</script>

<h1>Inserir símbolos especiais</h1>
<p>Clique nos símbolos da tabela abaixo que deseja inserir.<br />
No caso de acentos, digite antes a letra que será acentuada.<br />
<strong>Dica:</strong> os atalhos abaixo podem ser utilizados
ao digitar nomes de verbetes.</p>

<form>
<label for="text" />Texto: </label><input name="text" id="text" />
<input type="reset"  value="Limpar" />
</form>

<br />

<table class="tableList" border="1" cellpadding="5">
<tr class="even">
<th>Símbolo</th>
<th>Atalho</th>
<th>Exemplo</th>
</tr>
<tr>
<td><a href="#" onclick="insertSpecial(event)">Æ</a></td>
<td>{AE}</td>
<td>gratiæ</td>
</tr>
<tr>
<td><a href="#" onclick="insertSpecial(event)">æ</a></td>
<td>{ae}</td>
<td>gratiæ</td>
</tr>
<tr>
<td><a href="#" onclick="insertSpecial(event)">ƒ</a></td>
<td>{f}</td>
<td>ƒeito</td>
</tr>
<tr>
<td><a href="#" onclick="insertSpecial(event)">œ</a></td>
<td>{oe}</td>
<td>cœteris</td>
</tr>
<tr>
<td><a href="#" onclick="insertSpecial(event)">ſ</a></td>
<td>{s}</td>
<td>diſcurſo</td>
</tr>
<tr>
<td><a href="#" onclick="insertSpecial(event)">Ⅎ</a></td>
<td>{F-inv}</td>
<td>Ⅎixit</td>
</tr>
<tr>
<td><a href="#" onclick="insertSpecial(event)">ɐ</a></td>
<td>{a-inv}</td>
<td>passadɐ</td>
</tr>
<tr>
<td><a href="#" onclick="insertSpecial(event, '770')">^</a></td>
<td>{circ}</td>
<td>quarŷ</td>
</tr>
<tr>
<td><a href="#" onclick="insertSpecial(event, '771')">~</a></td>
<td>{til}</td>
<td>com̃ande</td>
</tr>
<tr>
<td><a href="#" onclick="insertSpecial(event, '772')">¯</a></td>
<td>{macron}</td>
<td>cacaō</td>
</tr>
<tr>
<td><a href="#" onclick="insertSpecial(event, '776')">"</a></td>
<td>{trema}</td>
<td>muÿ</td>
</tr>
<tr>
<td><a href="#" onclick="insertSpecial(event, '777')">ʾ</a></td>
<td>{gancho}</td>
<td>sỏmente</td>
</tr>
<tr>
<td><a href="#" onclick="insertSpecial(event, '787')">'</a></td>
<td>{virgula}</td>
<td>tinhao̓</td>
</tr>
<tr>
<td><a href="#" onclick="insertSpecial(event, '778')">°</a></td>
<td>{anel}</td>
<td>Åfonso</td>
</tr>
<tr>
<td><a href="#" onclick="insertSpecial(event, '769')">´</a></td>
<td>{agudo}</td>
<td>quaeś</td>
</tr>
<tr>
<td><a href="#" onclick="insertSpecial(event, '774')">˘</a></td>
<td>{breve}</td>
<td>apanhĕ</td>
</tr>
</table>

<?php include("foot.php"); ?>
