<?php
include("head.php");
$offset = $_GET["offset"];
$query = $_GET["query"];
$control = $procorph->concordance;
if ($query) {
  $results = $control->search($query, $offset);
}
?>

<h1>Busca por concordâncias</h1>
<br />
<form id="search" name="search" method="get">
<label for="query">Buscar por:</label>
<input name="query" id="query" value="<?=$query?>"/>
<input type="submit" value="Buscar">
</form>
<br />
<?php if($query and $results) { ?>
  <p><strong>
  <?php $control->buildConcordanceNavigation($query, $offset, $results["total"]); ?>
  </strong></p>
  <table border="0">
  <?php foreach ($results["concordances"] as $result) { ?>
    <tr>
    <td style="text-align:right" nowrap="nowrap"><?=$result["begin"]?></td>
    <td nowrap="nowrap"><strong><?=$result["middle"]?></strong><?=$result["end"]?></td>
    </tr>
  <?php } ?>
  </table>
  <p><strong>
  <?php $control->buildConcordanceNavigation($query, $offset, $results["total"]); ?>
  </strong></p>
<?php } ?>

<?php if($query and ! $results) { ?>
  <p><strong>A pesquisa por <?=$query?> não encontrou nenhuma concordância.<br />
  Certifique-se que as palavras estão com as grafias permitidas.</strong></p>
<?php } ?>

<?php include("foot.php"); ?>
