<?php include("../head.php"); ?>

<h1>Manipulando verbetes</h1>

<h2>Introdução</h2>

<p>Para ver os verbetes existentes, clique em "Verbetes" no menu "Dicionário"
(no painel à esquerda na tela). A tela "Lista de Verbetes" mostrará os 
verbetes. Para ver os detalhes de um verbete, clique no link "ver", referente
ao verbete de interesse.</p> 

<h2>Adicionando verbetes</h2>  

<p>Para criar um verbete, clique no link "Adicionar novo verbete" mostrado na
tela "Lista de Verbetes". É necessário ter permissão dos administradores para
efetuar esta operação.</p> 

<p>A tela seguinte solicita as informações sobre o verbete, que se dividem
em quatro grupos:</p>

<ul>
<li>Dados gerais: as principais informações do verbete como a seu nome e sua
classe gramátical</li>

<li>Variantes de grafia: permite a inserção de formas alternativas de escrita
do verbete, conforme econtrado em textos históricos. É possível inserir 
quantas variantes forem necessárias. Para isso, é necessário clicar em 
"Adicionar variante".</li>

<li>Acepções: permite a inserção de um número variável de definições para o
verbete através do link "Adicionar acepção". Além da definição, é possível
citar um excerto do texto histórico em que o verbete ocorre através dos itens
"Abonação", "Texto" e "Página".</li> 

<li>Verbetes relacionados: permite referênciar outros verbetes com definições
complementares para auxiliar um consulente. Verbetes relacionados são 
inseridos através do link "Adicionar verbete relacionado". </li>

<li>Notas: permite a inserção de notas com informações diversas sobre o 
verbete. Novas notas podem ser inseridas através do link "Adicionar nota".
</li>
</ul>

<p>Para incluir o verbete no sistema, deve-se clicar no link "Salvar", após a
inserção dos dados.</p>

<h2>Modificando/Removendo um verbete</h2>

<p>Verbetes podem ser modificados e/ou removidos do sistema através da tela 
"Lista de verbetes", com os links "Alterar" e "Apagar", respectivamente.
Estas operações necessitam de permissões dos administradores. Um lexicógrafo
pode alterar apenas os verbetes que ele próprio criou.</p> 

</ul>


<a href="index.php">Voltar</a>

<?php include("../foot.php"); ?>
