<?php
require_once("../control/procorph.php");
if (! $procorph) {
  $procorph = Procorph::getSingleton();
}
if (! $procorph->user) {
  return;
}
if (!$definition) {
  $definition = array("id" => "-1");
}
$controller = $procorph->entry;
$builder = $procorph->formBuilder;
$builder->setTable("definitions");
$builder->setRecord($definition);
?>

<div id="definition">
<?php $builder->buildTableHidden(); ?>
<?php $builder->buildHidden("id"); ?>
<table>
<tr>
<td> <?php $builder->buildLabel("description"); ?> </td>
<td> <?php $builder->buildTextArea("description"); ?> </td>
</tr>  
<tr>
<td> <?php $builder->buildLabel("attributes"); ?> </td>
<td> <?php $builder->setSize(40); $builder->buildInput("attributes"); ?> </td>
</tr>  
<tr>
<td> <?php $builder->buildLabel("example"); ?> </td>
<td> <?php $builder->buildTextArea("example"); ?> </td>
</tr>
<tr>
<td> <?php $builder->buildLabel("text_id"); ?> </td>
<td> <?php $builder->buildForeignInput("text_id", "textDetails.php", 
           $controller->getTextDetails($definition["text_id"])); ?></td>
</tr>
<tr>
<td> <?php $builder->buildLabel("page"); ?> </td>
<td> <?php $builder->buildInput("page"); ?> </td>
</tr>
<tr>
<td></td>
<td> <?php $builder->buildUpDownRemove(); ?> </td>
</table>
</div>
