function appendDiv(evt, div, page, parameters) {
  //
  // insert into the end of a div the supplied url
  //
  var element;
  var html;
  var browser = new String(navigator.appName).toLowerCase();
  var target;
  cancelEvent(evt);
  html = getHtml(page, parameters);
  target = $(div);
  if (target != null) {
    element = document.createElement("div");
    element.innerHTML = html;
    if (html == "") {
      alert("Erro desconhecido recebendo dados."
          + " É necessário efetuar login novamente");
    }
    element = element.firstChild;
    tagName = new String(parent.tagName).toLowerCase(); 
    if (element.tagName != "div" && element.nextSibling != null) {
      // some browsers creat the firs child as an empty text node
      element = element.nextSibling;
    }
    target.appendChild(element);
    return true;
  }
  return false;
}

function cancelEvent(evt) {
  //
  // cancel the an specified event  
  //
  if (evt != null) {
    evt = new Event(evt).stop();
  }
}

function deleteChild(evt) {
  //
  // delete a child from current record
  //
  var element = getCaller(evt);
  var i = 0;
  var elementId;
  var elementDeleted;
  var div = getParentDiv(element); 
  cancelEvent(evt);
  if (div == null) {
    return false;
  }
  elementId = getChildById(div, "id");
  if (elementId.value == "-1") {
    // deleting
    div.parentNode.removeChild(div);
  } else {
    // hidding
    div.style.display="none";
    elementDeleted = this.getChildById(div, "is_deleted");
    elementDeleted.value = "true";
  }
}

function deleteRecord(evt, id) {
  //
  // delete an entry from view screen
  //
  var confirmDelete;
  var element = this.getCaller(evt);
  var _parent = element.parentNode;
  this.cancelEvent(evt);
  confirmDelete = confirm("Confirma a exclusão?");
  if (!confirmDelete) {
    return false;
  }
  result = getJson("delete.php", "id=" + id);
  if (result.statusj == 0) {
    _parent.parentNode.removeChild(_parent);
    return true;
  } else {
    return false;
  }
}

function dump(obj) {
  //
  // dumps an object (used for debug purposes)
  //
  out = "";
  for (item in obj) {
    out = out + item + ":" + obj[item] + "<br />\n";
  }
  document.body.innerHTML = out;
}

function getCaller(evt) {
  //
  // get the caller of an event 
  //
  var control = evt.target;
  if (control == null ) { // ie
    control = window.event.srcElement;
  }
  return control;
}

function getChildById(parent, id) {
  //
  // gets an child by its id 
  // repeated ids unable use of document.getElementById
  //
  var nodes = parent.childNodes;
  var element;
  for (var i = 0; i < nodes.length; i++) {
    if (nodes[i].id == id) {
      return nodes[i];
    }
    if (nodes[i].hasChildNodes()) {
      element = getChildren(nodes[i], id);
      if (element != null) {
        return element;
      }
    }
  }
  return null; 
}

function getChildren(element, children) {
  //
  // gets all childen of a form that are controlls
  //
  var len = children.length;
  var nodes = element.childNodes;
  var tagName;
  for (var i = 0; i < nodes.length; i++) {
    tagName = new String(nodes[i].tagName).toLowerCase();
    if (tagName == "input" || tagName == "textarea" || tagName == "select") {
      children[len] = nodes[i];
      len += 1;
    }
    if (nodes[i].hasChildNodes()) {
      getChildren(nodes[i], children);
    }
  }
}

function getForeignDetails(evt, url) {
  //
  // used in foreig key controls
  // get an html and shows it on "p" identified by "details"
  //
  if (evt.keyCode != null && evt.keyCode != 0 && evt.keyCode != 13) {
    return;
  }
  if (evt.charCode != null && evt.charCode != 0) {
    return;
  }
  if (evt.keyCode) {
    cancelEvent(evt);
  }
  var control = getCaller(evt);
  var p = control.parentNode.getElementsByTagName("span")[0];
  p.innerHTML = getHtml(url, "value=" + control.value);
}

function getHtml(url, parameters) {
  //
  // fechas html data in server 
  //
  var request = new XHR({async: false}).send(url, parameters);
  return request.transport.responseText;
}

function getJson(url, parameters, preprocess) {
  //
  // fetchs json data in server
  //
  var request = new XHR({async: false}).send(url, parameters);
  if (preprocess == null) {
    preprocess = true;
  }
  // converting data
  try {
    json = eval("(" + request.transport.responseText + ")");
  } catch(err) {
    json = {statusj: 2, description: "Erro interno", redirect: ""};
  }
  if (! preprocess) {
    return json;
  }
  // redirecting to login
  if (json.statusj == 1) {
    alert("É necessário efetuar login para continuar.\n"
        + "Uma nova janela será aberta.");
    window.open("edit.php");
  }
  // show a message to user 
  if (json.statusj == 2) {
    if (json.description == "") {
      json.description = "Erro interno";
    }
    alert(json.description);
  }
  // redirecting the page
  if (json.redirect != "") {
    window.location = json.redirect;
  }
  return json;
}

function getParentDiv(element) {
  //
  // get the parent div of an element
  //
  var parent = element.parentNode;
  var tagName = new String(parent.tagName).toLowerCase();
  var i = 0; // TODO: remove i can cause an infinite loop?
  while (tagName != "div" && i<4) {
    parent = parent.parentNode;
    tagName = new String(parent.tagName).toLowerCase();
    i++;
  }
  if (tagName != "div") {
    return null;
  }
  return parent;
}

function goBack(evt) {
  //
  // go to previous page
  //
  history.back();
}

function moveChild(evt, direction) {
  //
  // move a child up or down if it's possible
  // hide divs are skipped
  //
  var aux = null;
  var dest = null;
  var destClone = null; 
  var element = getCaller(evt);
  var tagName = "";
  var source = getParentDiv(element);
  var sourceClone = null;
  cancelEvent(evt);
  if (source == null) {
    return false;
  }
  // locating dest
  if (direction < 0) {
    aux = source.previousSibling;
  } else {
    aux = source.nextSibling;
  }
  var i = 0;
  while (aux != null) {
    if (aux.tagName) {
      tagName = new String(aux.tagName).toLowerCase();
    } else {
      tagName = "";
    }
    if (tagName != "" && tagName != "div") {
      break;
    }
    if (tagName == "div" && aux.style.display != "none") {
      dest = aux;
      break;
    }
    if (direction < 0) {
      aux = aux.previousSibling;
    } else {
      aux = aux.nextSibling;
    }
  }
  if (dest == null) {
    return false;
  }
  // interchanging dest and source
  sourceClone = source.cloneNode(true);
  synchronizeValues(source, sourceClone);
  destClone = dest.cloneNode(true);
  synchronizeValues(dest, destClone);
  dest.parentNode.replaceChild(sourceClone, dest);
  source.parentNode.replaceChild(destClone, source);
  return true;
}

function saveRecord(evt, form) {
  //
  // saves a entry or show an error 
  //
  var children = new Array();
  var first = true;
  var parameters="";
  var result;
  getChildren($(form), children);
  for (var i = 0; i < children.length; i++) {
    if (!first) {
      parameters += '&';
    } else {
      first = false;
    }
    parameters += "f" + i + "=" + encodeURIComponent(children[i].name);
    parameters += "&v" + i + "=" + encodeURIComponent(children[i].value); 
  }
  result = getJson("save.php", parameters);
  if (result.statusj == 0) { 
    return true;
  } else {
    cancelEvent(evt);
    return false;
  }
}

function synchronizeValues(original, clone) {
  //
  // synchronizes values beetwen two nodes (and subnodes)
  // some browsers clone nodes incorrectly (safari, konqueror, ...)
  //
  var nodesOriginal = original.childNodes;
  var nodesClone = clone.childNodes;
  for (var i = 0; i < nodesOriginal.length; i++) {
    if (nodesClone[i].value != null) {
      nodesClone[i].value = nodesOriginal[i].value;
    }
    if (nodesOriginal[i].hasChildNodes()) {
      synchronizeValues(nodesOriginal[i], nodesClone[i]);
    }
  }
}

